Package org.apache.synapse.mediators.opa

# Class OPAMediator

java.lang.Object
org.apache.synapse.mediators.AbstractMediator
org.apache.synapse.mediators.opa.OPAMediator

All Implemented Interfaces:
  `org.apache.synapse.aspects.AspectConfigurable`, `org.apache.synapse.ManagedLifecycle`, `org.apache.synapse.Mediator`, `org.apache.synapse.SynapseArtifact`

public class OPAMediator extends org.apache.synapse.mediators.AbstractMediator implements org.apache.synapse.ManagedLifecycle

- ## Field Summary

  ### Fields inherited from class org.apache.synapse.mediators.AbstractMediator

  `trace, traceState`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OPAMediator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAdditionalParameter(String parameter, String value)`
  `void`
  `destroy()`
  `String`
  `getAccessKey()`
  `Map<String,String>`
  `getAdditionalParameters()`
  `String`
  `getPolicy()`
  `String`
  `getRequestGeneratorClassName()`
  `String`
  `getRule()`
  `String`
  `getServerUrl()`
  `void`
  `init(org.apache.synapse.core.SynapseEnvironment se)`
  `boolean`
  `mediate(org.apache.synapse.MessageContext messageContext)`
  `void`
  `setAccessKey(String accessKey)`
  `void`
  `setAdditionalParameters(Map<String,String> additionalParameters)`
  `void`
  `setPolicy(String policy)`
  `void`
  `setRequestGeneratorClassName(String requestGeneratorClassName)`
  `void`
  `setRule(String rule)`
  `void`
  `setServerUrl(String serverUrl)`

  ### Methods inherited from class org.apache.synapse.mediators.AbstractMediator

  `auditLog, auditWarn, configure, disableStatistics, disableTracing, divertMediationRoute, enableStatistics, enableTracing, getArtifactIdentifier, getAspectConfiguration, getCommentsList, getDescription, getInputType, getLastSequenceFaultHandler, getLog, getMediatorId, getMediatorName, getMediatorPosition, getOutputType, getRegisteredMediationFlowPoint, getShortDescription, getTraceState, getType, handleException, handleException, isBreakPoint, isContentAltering, isContentAware, isSkipEnabled, isStatisticsEnable, isTraceOn, isTraceOrDebugOn, isTracingEnabled, registerMediationFlowPoint, reportCloseStatistics, reportCloseStatisticsWithError, reportOpenStatistics, setArtifactIdentifier, setBreakPoint, setCommentsList, setComponentStatisticsId, setDescription, setEffectiveTraceState, setMediatorId, setMediatorPosition, setShortDescription, setSkipEnabled, setTraceState, shouldCaptureTracing, shouldTrace, shouldTrace, traceOrDebug, traceOrDebugWarn, unregisterMediationFlowPoint`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OPAMediator

    public OPAMediator()

- ## Method Details

  - ### mediate

    public boolean mediate(org.apache.synapse.MessageContext messageContext)
    Specified by:
      `mediate` in interface `org.apache.synapse.Mediator`

  - ### getServerUrl

    public String getServerUrl()

  - ### setServerUrl

    public void setServerUrl(String serverUrl)

  - ### getAccessKey

    public String getAccessKey()

  - ### setAccessKey

    public void setAccessKey(String accessKey)

  - ### getRequestGeneratorClassName

    public String getRequestGeneratorClassName()

  - ### setRequestGeneratorClassName

    public void setRequestGeneratorClassName(String requestGeneratorClassName)

  - ### getPolicy

    public String getPolicy()

  - ### setPolicy

    public void setPolicy(String policy)

  - ### getRule

    public String getRule()

  - ### setRule

    public void setRule(String rule)

  - ### getAdditionalParameters

    public Map<String,String> getAdditionalParameters()

  - ### setAdditionalParameters

    public void setAdditionalParameters(Map<String,String> additionalParameters)

  - ### addAdditionalParameter

    public void addAdditionalParameter(String parameter, String value)

  - ### init

    public void init(org.apache.synapse.core.SynapseEnvironment se)
    Specified by:
      `init` in interface `org.apache.synapse.ManagedLifecycle`

  - ### destroy

    public void destroy()
    Specified by:
      `destroy` in interface `org.apache.synapse.ManagedLifecycle`